You can use the
[`accountstatuses`](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses)
resource to see the status of your Merchant
Center account, or an MCA (multi-client account) and all sub-accounts associated
with it.

Merchants who have multiple online stores or brands that are sold on separate
websites may choose to have sub-accounts under an MCA.

Merchants are responsible for complying with the [Shopping
ads](https://support.google.com/merchants/answer/6149970) and [free
listings](https://support.google.com/merchants/answer/9261529) policies. Google
Shopping reserves the right to enforce these policies and respond appropriately
if we find content or behavior that violates these policies.

![](https://developers.google.com/static/shopping-content/images/check-status.png)

See the [Account issues](https://developers.google.com/shopping-content/guides/account-issues) reference
for details of common account issues.

## accountstatuses.get

You can use `accountstatuses.get` to view the account status information for a
single merchant account.

You can use the `destination` parameter to control which product issues are
are returned. When a destination isn't specified, the default response includes
statuses for `destination: Shopping`.

Here's a sample request, where the `merchantId` is a MCA account ID and
`accountId` is a sub-account of that MCA:

    GET https://shoppingcontent.googleapis.com/content/v2.1/merchantId/accountstatuses/accountId

To get account status information for a standalone account, call
`accountstatuses.get` with the same account ID for `merchantId` and `accountId`.

This method returns account and item level issues. You can use the [Shopping
ads](https://developers.google.com/shopping-content/guides/review-shopping-ads) and [Free
listings](https://developers.google.com/shopping-content/guides/review-free-listings) resources to fix
`accountLevelIssues` returned in the response from `accountstatuses.get`.

Here's a sample response for a sub-account that was suspended for a "landing
page not working" violation.

    {
     "kind": "content#accountStatus",
     "accountId": "123456789",
     "websiteClaimed": true,
     "accountLevelIssues": [
      {
       "id": "editorial_and_professional_standards_destination_url_down_policy",
       "title": "Account suspended due to policy violation: landing page not working",
       "country": "US",
       "severity": "critical",
       "documentation": "https://support.google.com/merchants/answer/6150244#wycd-usefulness"
      },
      {
       "id": "missing_ad_words_link",
       "title": "No Google Ads account linked",
       "severity": "error",
       "documentation": "https://support.google.com/merchants/answer/6159060"
      }
     ],
     "products": [
      {
       "channel": "online",
       "destination": "Shopping",
       "country": "US",
       "statistics": {
        "active": "0",
        "pending": "0",
        "disapproved": "5",
        "expiring": "0"
       },
       "itemLevelIssues": [
        {
         "code": "image_link_broken",
         "servability": "disapproved",
         "resolution": "merchant_action",
         "attributeName": "image link",
         "description": "Invalid image [image link]",
         "detail": "Ensure the image is accessible and uses an accepted image format (JPEG, PNG, GIF)",
         "documentation": "https://support.google.com/merchants/answer/6098289",
         "numItems": "2"
        },
        {
         "code": "landing_page_error",
         "servability": "disapproved",
         "resolution": "merchant_action",
         "attributeName": "link",
         "description": "Unavailable desktop landing page",
         "detail": "Update your website or landing page URL to enable access from desktop devices",
         "documentation": "https://support.google.com/merchants/answer/6098155",
         "numItems": "5"
        },
        {
         "code": "missing_condition_microdata",
         "servability": "unaffected",
         "resolution": "merchant_action",
         "description": "Missing or invalid data [condition]",
         "detail": "Add valid structured data markup to your landing page",
         "documentation": "https://support.google.com/merchants/answer/6183460",
         "numItems": "5"
        },
        {
         "code": "mobile_landing_page_error",
         "servability": "disapproved",
         "resolution": "merchant_action",
         "attributeName": "link",
         "description": "Unavailable mobile landing page",
         "detail": "Update your website or landing page URL to enable access from mobile devices",
         "documentation": "https://support.google.com/merchants/answer/6098296",
         "numItems": "3"
        }
       ]
      }
     ]
    }

## accountstatuses.list

You can use `accountstatuses.list` to view account status information on all
sub-accounts of your MCA.

You can use filters with `accountstatuses.list` to filter product issues by
destination. When a destination isn't specified, the response includes statuses
for `destination: Shopping`.

Here's a sample request to get account status information for all sub-accounts
under the MCA `merchantId`:

    GET https://shoppingcontent.googleapis.com/content/v2.1/merchantId/accountstatuses

Here's a sample response:

    {
     "kind": "content#accountstatusesListResponse",
     "resources": [
      {
       "kind": "content#accountStatus",
       "accountId": "1234567",
       "websiteClaimed": true,
       "accountLevelIssues": [
        {
         "id": "editorial_and_professional_standards_destination_url_down_policy",
         "title": "Account suspended due to policy violation: landing page not working",
         "country": "US",
         "severity": "critical",
         "documentation": "https://support.google.com/merchants/answer/6150244#wycd-usefulness"
        },
        {
         "id": "missing_ad_words_link",
         "title": "No Google Ads account linked",
         "severity": "error",
         "documentation": "https://support.google.com/merchants/answer/6159060"
        }
       ],
       "products": [
        {
         "channel": "online",
         "destination": "Shopping",
         "country": "US",
         "statistics": {
          "active": "0",
          "pending": "0",
          "disapproved": "0",
          "expiring": "0"
         }
        }
       ]
      },
      {
       "kind": "content#accountStatus",
       "accountId": "123456789",
       "websiteClaimed": true,
       "accountLevelIssues": [
        {
         "id": "home_page_issue",
         "title": "Website URL not provided",
         "severity": "critical",
         "documentation": "https://support.google.com/merchants/answer/176793"
        },
        {
         "id": "missing_ad_words_link",
         "title": "No Google Ads account linked",
         "severity": "error",
         "documentation": "https://support.google.com/merchants/answer/6159060"
        }
       ],
       "products": [
        {
         "channel": "online",
         "destination": "Shopping",
         "country": "US",
         "statistics": {
          "active": "0",
          "pending": "0",
          "disapproved": "0",
          "expiring": "0"
         }
        }
       ]
      }
     ]
    }

A call to the `accountstatuses.list` for a non-MCA account (for example, a
standalone Merchant Center account) returns a `403` error.

Here's a sample response for calling `accountstatuses.list` for a standalone
account:

    {
     "error": {
      "errors": [
       {
        "domain": "global",
        "reason": "forbidden",
        "message": "111111111 is not a multi-client account (MCA). The only account
                    service operations allowed on non-MCAs are 'get', 'update',
                    'authinfo' and 'claimwebsite'."
       }
      ],
      "code": 403,
      "message": "111111111 is not a multi-client account (MCA). The only account
                  service operations allowed on non-MCAs are 'get', 'update',
                  'authinfo' and 'claimwebsite'."
     }
    }

## Batch mode

An `accountstatuses.custombatch` with a `GET` method returns account
status information for multiple sub-accounts in a multi-client account.

The request JSON includes the `merchantId` of the MCA account number, the
`accountId` of the sub-account, a unique `batchId` and the `method` set to
`get`.

    POST https://shoppingcontent.googleapis.com/content/v2.1/accountstatuses/batch

The following is a sample request JSON body:

    {
      "entries": [
        {
          "accountId": 1212121212,
          "merchantId": 4444444444,
          "method": "get",
          "batchId": 9
        },
        {
          "accountId": 1313131313,
          "merchantId": 4444444444,
          "method": "get",
          "batchId": 99
        }
      ]
    }

The following is a sample JSON response body:

    {
     "kind": "content#accountstatusesCustomBatchResponse",
     "entries": [
      {
       "batchId": 9,
       "accountStatus": {
        "kind": "content#accountStatus",
        "accountId": "1212121212",
        "websiteClaimed": true,
        "accountLevelIssues": [
         {
          "id": "home_page_issue",
          "title": "Website URL not provided",
          "severity": "critical",
          "documentation": "https://support.google.com/merchants/answer/176793"
         },
         {
          "id": "missing_ad_words_link",
          "title": "No Google Ads account linked",
          "severity": "error",
          "documentation": "https://support.google.com/merchants/answer/6159060"
         }
        ],
        "products": [
         {
          "channel": "online",
          "destination": "Shopping",
          "country": "US",
          "statistics": {
           "active": "0",
           "pending": "0",
           "disapproved": "0",
           "expiring": "0"
          }
         }
        ]
       }
      },
      {
       "batchId": 99,
       "accountStatus": {
        "kind": "content#accountStatus",
        "accountId": "1313131313",
        "websiteClaimed": true,
        "accountLevelIssues": [
         {
          "id": "editorial_and_professional_standards_destination_url_down_policy",
          "title": "Account suspended due to policy violation: landing page not working",
          "country": "US",
          "severity": "critical",
          "documentation": "https://support.google.com/merchants/answer/6150244#wycd-usefulness"
         },
         {
          "id": "missing_ad_words_link",
          "title": "No Google Ads account linked",
          "severity": "error",
          "documentation": "https://support.google.com/merchants/answer/6159060"
         }
        ],
        "products": [
         {
          "channel": "online",
          "destination": "Shopping",
          "country": "US",
          "statistics": {
           "active": "0",
           "pending": "0",
           "disapproved": "0",
           "expiring": "0"
          }
         }
        ]
       }
      }
     ]
    }

## Test the Account Statuses resource

In the following example we get, list, and `custombatch.get` account status for
MCA accounts:

1. Get sub-account status for an MCA using `accountstatuses.get`.

   1. Get the `merchantId` and `accountId` by performing a `GET` to the API
      endpoint:

          GET https://shoppingcontent.googleapis.com/content/v2.1/merchantId/accountstatuses/accountId

   2. You should receive an `HTTP 200` status code for success and the account
      status list in JSON.

2. View all sub-account status for an MCA using `accountstatuses.list`.

   1. Perform a GET to the API endpoint with your `merchantId`:

          GET https://shoppingcontent.googleapis.com/content/v2.1/merchantId/accountstatuses

   2. You should receive an `HTTP 200` status code for success and the account
      status list in JSON for the `merchantId` submitted.

3. View multiple sub-accounts for MCA in batch mode using
   `accountstatuses.custombatch`.

   1. Construct valid JSON using your `accountID`, `merchant ID`, and a `get`
      method.

   2. Perform a POST to the API endpoint:

          POST https://shoppingcontent.googleapis.com/content/v2.1/accountstatuses/batch

   3. You should receive an `HTTP 200` status code for success and the account
      status list in JSON.